Bug 198533 - [PATCH] security/hydra: Replace deprecated des_ and fix LibreSSL build
Summary: [PATCH] security/hydra: Replace deprecated des_ and fix LibreSSL build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-12 08:09 UTC by Bernard Spil
Modified: 2015-04-02 18:40 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rm)


Attachments
svn diff for security/hydra (5.24 KB, patch)
2015-03-12 08:09 UTC, Bernard Spil
no flags Details | Diff
Poudriere build log of security/hydra (55.15 KB, text/plain)
2015-03-12 08:10 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-12 08:09:21 UTC
Created attachment 154231 [details]
svn diff for security/hydra

security/hydra uses deprecated des_ methods and types that were marked deprecated by OpenSSL 0.9.7 and will be removed in OpenSSL 1.1.0 . This patch replaces the des_ methods and types with their new DES_ counterparts.

Submitted to the upstream project here https://github.com/vanhauser-thc/thc-hydra/pull/49
Comment 1 Bernard Spil freebsd_committer 2015-03-12 08:10:30 UTC
Created attachment 154232 [details]
Poudriere build log of security/hydra
Comment 2 Bernard Spil freebsd_committer 2015-03-12 08:57:31 UTC
Upstream accepted patch and merged

https://github.com/vanhauser-thc/thc-hydra/pull/49
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2015-04-01 22:11:51 UTC
Hi Bernard,

the patch attached and patch that was applied upstream are different. Upstreamed patch for hydra-oracle-listener.c missing some ampersands and the whole patchset was reverted because of that as I can see. I'm testing the correct patch and will commit soon. Please contact upstream once again with corrected patch. Thank you.
Comment 4 commit-hook freebsd_committer 2015-04-02 18:39:25 UTC
A commit references this bug:

Author: rm
Date: Thu Apr  2 18:38:56 UTC 2015
New revision: 383041
URL: https://svnweb.freebsd.org/changeset/ports/383041

Log:
  security/hydra: fix build with libressl

  Add corrected upstream patch, that fixing build both with LibreSSL
  and OpenSSL >= 1.1.0.

  PR:		198533
  Submitted by:	 Bernard Spil <spil.oss@gmail.com>

Changes:
  head/security/hydra/files/patch-fix-libressl-build
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2015-04-02 18:40:29 UTC
Committed, thank you.